import { ValidationError } from 'class-validator';
import { eCheckResult, eLCID } from '../../../../consts';
import { AllowPrimitives } from '../../../../types';
/**
* Name and surname, LCID and check result
* If check result is ERROR - value will be UNKNOWN and LCID will be 1033 (English - United States)
*/
export interface iRNameSurname {
    /**
    * Name and surname
    * @type {string}
    */
    value: string;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * LCID
    * @type {eLCID}
    */
    lcid: eLCID;
}
/**
* Name and surname, LCID and check result
* If check result is ERROR - value will be UNKNOWN and LCID will be 1033 (English - United States)
*/
export declare class RNameSurname implements iRNameSurname {
    /**
    * Name and surname
    * @type {string}
    */
    value: string;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * LCID
    * @type {eLCID}
    */
    lcid: eLCID;
    /**
    * Create new RNameSurname instance from plain object
    * @param {AllowPrimitives<iRNameSurname>} input - plain object
    * @returns {RNameSurname}
    */
    static fromPlain: (input: AllowPrimitives<iRNameSurname>) => RNameSurname;
    /**
    * Get validation errors
    * @param {iRNameSurname} input - object to validate
    * @returns {ValidationError[]}
    */
    static getValidationErrors: (input: RNameSurname) => ValidationError[];
    /**
    * Check if input is valid
    * @param {RNameSurname | RNameSurname[]} input - Array of RNameSurname or single RNameSurname
    * @returns {boolean}
    */
    static isValid: (input: RNameSurname | RNameSurname[]) => boolean;
}
